namespace VSSDKAssist.Recipes.Common.Helpers
{
	/// <summary>
	/// Constants class.
	/// </summary>
	public static class Constants
	{
		/// <summary>
		/// VSInstallDirPathKey
		/// </summary>
		public const string VSInstallDirPathKey = @"Software\Microsoft\VisualStudio\9.0";
		/// <summary>
		/// VSInstallDirKeyValue
		/// </summary>
		public const string VSInstallDirKeyValue = @"InstallDir";
		/// <summary>
		/// VSHiveStandard
		/// </summary>
		public const string VSHiveStandard = @"Software\Microsoft\VisualStudio\9.0";
		/// <summary>
		/// VSHiveExperimental
		/// </summary>
		public const string VSHiveExperimental = @"Software\Microsoft\VisualStudio\9.0Exp";
		/// <summary>
		/// VSSdkToolRelPath
		/// </summary>
		public const string VSSdkToolRelPath = @"VisualStudioIntegration\Tools\Bin";
		/// <summary>
		/// VSSdkInstallDirPathKey
		/// </summary>
		public const string VSSdkInstallDirPathKey = @"Software\Microsoft\VisualStudio\VSIP\9.0";
        /// <summary>
        /// WindowsSDKPathKey
        /// </summary>
        public const string WindowsSDKPathKey = @"Software\Microsoft\Microsoft SDKs\Windows\v6.0A";
		/// <summary>
		/// VSSdkInstallDirKeyValue
		/// </summary>
		public const string VSSdkInstallDirKeyValue = @"InstallDir";
        /// <summary>
        /// VSSdkInstallDirKeyValue
        /// </summary>
        public const string WindowsSDKInstallationFolderKeyValue = @"InstallationFolder";
		/// <summary>
		/// RegPkgTool
		/// </summary>
		public const string RegPkgTool = @"regpkg.exe";
		/// <summary>
		/// DevEnv
		/// </summary>
		public const string DevEnv = @"devenv.exe";
		/// <summary>
		/// SNTool
		/// </summary>
		public const string SNTool = @"sn.exe";
	}
}