﻿using System;
using System.Runtime.InteropServices;
using System.Windows.Forms;
using Microsoft.VisualStudio.Shell;

namespace VSSDKAssist.Platform.ToolWindows
{
	[Guid("14D829DF-C343-4CF6-B42C-B6B87989AC2B")]
	public class PackageBrowser : ToolWindowPane
	{
		private PackageBrowserControl control;

		public PackageBrowser()
			:
			base(null)
		{
			this.Caption = "Package Browser";
			this.BitmapResourceID = 11138;
			this.BitmapIndex = 0;

			control = new PackageBrowserControl(this);
		}

		override public IWin32Window Window
		{
			get
			{
				return (IWin32Window)control;
			}
		}
	}
}
