using System;
using System.Collections.Generic;
using System.Text;
using System.ComponentModel.Design;
using Interop = Microsoft.VisualStudio.Shell.Interop;
using VSLangProj80;

namespace VSSDKAssist.Enums
{
	/// <summary>
	/// Visual Studio Editions enum
	/// </summary>	
	public static class VSEdition
	{
		[System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Performance", "CA1810:InitializeReferenceTypeStaticFieldsInline")]
		static VSEdition()
		{
			values = new SortedDictionary<string, string>();
			values.Add("VS Standard", "Standard");
			values.Add("VS Professional", "Professional");
		}

		#region Properties
		private static SortedDictionary<string, string> values;

		/// <summary>
		/// Gets the values.
		/// </summary>
		/// <value>The values.</value>
		public static SortedDictionary<string, string> Values
		{
			get { return values; }
		}
		#endregion
	}
}