using System;
using System.Collections.Generic;
using System.Text;

namespace VSSDKAssist.Recipes.Common.Helpers
{
	/// <summary>
	/// Constants class.
	/// </summary>
	public static class Constants
	{
		/// <summary>
		/// VSInstallDirPathKey
		/// </summary>
		public const string VSInstallDirPathKey = @"Software\Microsoft\VisualStudio\8.0";
		/// <summary>
		/// VSInstallDirKeyValue
		/// </summary>
		public const string VSInstallDirKeyValue = @"InstallDir";
		/// <summary>
		/// VS80SdkToolRelPath
		/// </summary>
		public const string VS80SdkToolRelPath = @"..\..\SDK\v2.0\Bin";
		/// <summary>
		/// VSHiveStandard
		/// </summary>
		public const string VSHiveStandard = @"Software\Microsoft\VisualStudio\8.0";
		/// <summary>
		/// VSHiveExperimental
		/// </summary>
		public const string VSHiveExperimental = @"Software\Microsoft\VisualStudio\8.0Exp";
		/// <summary>
		/// VSSdkToolRelPath
		/// </summary>
		public const string VSSdkToolRelPath = @"VisualStudioIntegration\Tools\Bin";
		/// <summary>
		/// VSSdkInstallDirPathKey
		/// </summary>
		public const string VSSdkInstallDirPathKey = @"Software\Microsoft\VisualStudio\VSIP\8.0";
		/// <summary>
		/// VSSdkInstallDirKeyValue
		/// </summary>
		public const string VSSdkInstallDirKeyValue = @"InstallDir";
		/// <summary>
		/// RegPkgTool
		/// </summary>
		public const string RegPkgTool = @"regpkg.exe";
		/// <summary>
		/// DevEnv
		/// </summary>
		public const string DevEnv = @"devenv.exe";
		/// <summary>
		/// SNTool
		/// </summary>
		public const string SNTool = @"sn.exe";
	}
}